% Write a function called cancel_middle that takes A, an n-by-m
% matrix, as an input where both n and m are odd numbers and k, a positive integer
% that is smaller than both m and n (the function does not have to check
% the the input). The function returns the input matrix with its center k-by-k
% matrix zeroed out. Check out the following run,
% >> cancel_middle(ones(5),3)
% ans =
% 1 1 1 1 1
% 1 0 0 0 1
% 1 0 0 0 1
% 1 0 0 0 1
% 1 1 1 1 1

function A = cancel_middle(A,k)
A((end-k)/2+1:end-(end-k)/2,(end-k)/2+1:end-(end-k)/2) = 0;
end
