% Write a function called zero_middle that takes an n-by-m matrix
% as an input where both n and m are odd numbers (the function does not have
% to check the the input). The function returns the input matrix with its center
% element zeroed out. Check out the following run,
% >> zero_middle(ones(5))
% ans =
% 1 1 1 1 1
% 1 1 1 1 1
% 1 1 0 1 1
% 1 1 1 1 1
% 1 1 1 1 1


function A = zero_middle(x)
[r,c] = size(x);
x((r+1)/2,(c+1)/2) = 0;
A = x; 
end
% Or
% A = B;
% A((end+1)/2,(end+1)/2) = 0;