% Write a function named blocks that takes two positive integers,
% n and m, as input arguments (the function does not have to check the format
% of the input) and returns one matrix as an output argument. The function
% needs to return a 2n-by-2m matrix where the upper right and lower left n-bym
% sub matrices are all zeros and the rest of the matrix are all ones. For example,
% here is an example run:
% >> blocks(2,3)
% ans =
% 0 0 0 1 1 1
% 0 0 0 1 1 1
% 1 1 1 0 0 0
% 1 1 1 0 0 0
B = [zeros(r,c) ones(r,c);
 ones(r,c) zeros(r,c)];
return; %Normally functions return when the end of the function is reached. A return statement can be used to force an early return.
%Or 
A(1:r,1:c) = 0;
A(1:r,c+1:2*c) = 1;
A(r+1:2*r,1:c) = 1;
A(r+1:2*r,c+1:2*c) = 0;
end
