% Write a function called compound that takes three scalar input arguments
% sum, interest and years (the function does not have to check the
% format of the input). The function returns two output arguments, total and
% gain. The function computes how much money we can get by investing
% sum in the first year and then let it vest for years years while getting an annual
% interest rate of interest percent. The output total is the final
% amount well have and the gain is the profit. For instance, by investing
% $10,000 for 40 years at a rate of 15%, well end up with over $2.6 million according
% to the following run
% >> [networth profit] = compound(10000,15,40)
% networth =
% 2.6786e+06
% profit =
% 2.6686e+06

function [networth,profit] = compound(sum,interest,years)
networth = sum*(1+interest/100)^years;
profit = networth - sum; 
end


