% Write a function named custom_blocks that takes an n-by-m
% matrix as an input argument (the function does not have to check the format
% of the input) and returns a 2n-by-2m matrix as an output argument. The upper
% left n-by-m sub matrix of the output matrix is the same as the input matrix.
% The elements of the upper right n-by-m sub matrix are twice as large as
% the corresponding elements of the input matrix. Similarly, the lower left submatrix
% is the input matrix multiplied by three and the lower right n-by-m submatrix
% is four times the input matrix. For example, here is an example run:
% >> custom_blocks([1:3;3:-1:1])
% ans =
% 1 2 3 2 4 6
% 3 2 1 6 4 2
% 3 6 9 4 8 12
% 9 6 3 12 8 4
function A = custom_blocks(x)
A = [x 2*x; 3*x 4*x];
end

